%bcond_without check
%bcond_without testsrpm
%bcond_without doxygen2man



%global dirty 1070

Name:           libqb
Version:        2.0.8.4
Release:        1%{?numcomm:.%{numcomm}}%{?alphatag:.%{alphatag}}%{?dirty:.%{dirty}}%{?dist}
Summary:        An IPC library for high performance servers

Group:          System Environment/Libraries
License:        LGPL-2.1-or-later
URL:            https://github.com/ClusterLabs/libqb
Source0:        https://fedorahosted.org/releases/q/u/quarterback/%{name}-%{version}%{?numcomm:.%{numcomm}}%{?alphatag:-%{alphatag}}%{?dirty:-%{dirty}}.tar.xz

BuildRequires:  autoconf automake libtool doxygen procps check-devel util-linux

%description
libqb provides high-performance, reusable features for client-server
architecture, such as logging, tracing, inter-process communication (IPC),
and polling.

%prep
%setup -q -n %{name}-%{version}%{?numcomm:.%{numcomm}}%{?alphatag:-%{alphatag}}%{?dirty:-%{dirty}}

%build
./autogen.sh
%configure \
%if %{with testsrpm}
 --enable-install-tests \
%endif
 --disable-static
make %{?_smp_mflags}

%if 0%{?with_check}
%check
make V=1 check
%endif

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/libqb

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_libdir}/libqb.so.*
%{_mandir}/man8/qb-blackbox.8.gz
%{_sbindir}/qb-blackbox

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files devel
%doc COPYING README.markdown
%{_includedir}/qb/
%{_libdir}/libqb.so
%{_libdir}/pkgconfig/libqb.pc
%{_mandir}/man3/qb*3*

%if %{with testsrpm}
%package	tests
Summary:        Test suite for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%files		tests
%doc COPYING
%{_libdir}/libqb/tests/*

%description	tests
The %{name}-tests package contains the %{name} test suite.
%endif


%if %{with doxygen2man}
%package	-n doxygen2man
Summary:        tool to generate man pages from Doxygen XML files
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%files -n doxygen2man
%{_bindir}/doxygen2man
%{_mandir}/man1/doxygen2man.1*
%doc COPYING

%description	-n doxygen2man
The doxygen2man package contains the doxygen2man utility.
%endif


%changelog
* Thu Apr 11 2024 Autotools generated version <nobody@nowhere.org> - 2.0.8.4-1-@numcomm@.@alphatag@.1070
- Autotools generated version
